## org.metaabm.validation
Interface IIDValidator

    public interface IIDValidator

A sample validator interface for `IID`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateID(java.lang.String value)`
`boolean` `validateLabel(java.lang.String value)`

Method Detail

### validate

    boolean validate()

### validateLabel

    boolean validateLabel(java.lang.String value)

### validateID

    boolean validateID(java.lang.String value)